%define anolis_release 1
Name:           gnome-common
Version:        3.18.0
Release: %{anolis_release}%{dist}
Summary:        Useful things common to building GNOME packages from scratch
BuildArch:      noarch
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeCommon
Source0:        https://download.gnome.org/sources/%{name}/3.18/%{name}-%{version}.tar.xz

BuildRequires: make

# This will pull in the latest version; if your package requires something older,
# well, BuildRequire it in that spec.  At least until such time as we have a
# build system that is intelligent enough to inspect your source code
# and auto-inject those requirements.
Requires:       automake
Requires:       autoconf
Requires:       autoconf-archive
Requires:       gettext
Requires:       libtool
Requires:       pkgconfig
Requires:       yelp-tools

%description
This package contains sample files that should be used to develop pretty much
every GNOME application.  The programs included here are not needed for running
GNOME apps or building ones from distributed tarballs.  They are only useful
for compiling from git sources or when developing the build infrastructure for
a GNOME application.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --with-autoconf-archive
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/gnome-autogen.sh
%{_datadir}/aclocal/*

%files doc
%doc ChangeLog README

%changelog
* Tue Mar 28 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.18.0-1
- Init package from upstream
